<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/check_star_name_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>07/30/86  check_star_name_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The check_star_name_ subroutine analyzes a character string to be sure
<span id="L4" class="LineNr">  4 </span>that it has been formed according to the rules of the star convention,
<span id="L5" class="LineNr">  5 </span>and optionally checks that it also conforms to the rules for forming
<span id="L6" class="LineNr">  6 </span>entrynames.  It returns a starname type code that indicates whether the
<span id="L7" class="LineNr">  7 </span>string is a starname, and whether the starname matches every possible
<span id="L8" class="LineNr">  8 </span>name.
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Entry points in check_star_name_:
<span id="L12" class="LineNr"> 12 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>:Entry: check_star_name_: 07/30/86  check_star_name_
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>Function: this entrypoint accepts a character string and a bit mask as
<span id="L18" class="LineNr"> 18 </span>its inputs, and analyzes the character string according to the tests
<span id="L19" class="LineNr"> 19 </span>selected by the bit mask.
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Syntax:
<span id="L23" class="LineNr"> 23 </span>declare check_star_name_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>2<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr"> 24 </span>        fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>call check_star_name_ <span class="textRainbow_lv0_p0">(</span>starname<span class="textRainbow_lv0_o0">,</span> control_mask<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Arguments:
<span id="L29" class="LineNr"> 29 </span>starname
<span id="L30" class="LineNr"> 30 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> the character string to be analyzed.  Trailing spaces in the
<span id="L31" class="LineNr"> 31 </span>   character string are ignored.
<span id="L32" class="LineNr"> 32 </span>control_mask
<span id="L33" class="LineNr"> 33 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> a bit string constructed from constants listed below.
<span id="L34" class="LineNr"> 34 </span>type
<span id="L35" class="LineNr"> 35 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> one of the starname type codes listed below.
<span id="L36" class="LineNr"> 36 </span>code
<span id="L37" class="LineNr"> 37 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> one of the standard status codes listed below.
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>List of control_mask constants:  these constants are defined in
<span id="L41" class="LineNr"> 41 </span>   check_star_name.incl.pl1, and can be combined in most cases using
<span id="L42" class="LineNr"> 42 </span>   boolean or.
<span id="L43" class="LineNr"> 43 </span>CHECK_STAR_IGNORE_ARCHIVE
<span id="L44" class="LineNr"> 44 </span>   permit the archive component pathname delimiter, double colon <span class="textRainbow_lv0_p0">(</span>&quot;::&quot;<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>   in the starname, and treat it as a pair of nonspecial characters.
<span id="L46" class="LineNr"> 46 </span>   By default, this would be rejected.
<span id="L47" class="LineNr"> 47 </span>CHECK_STAR_IGNORE_ENTRYPOINT
<span id="L48" class="LineNr"> 48 </span>   permit the entrypoint convention delimiters, dollar sign <span class="textRainbow_lv0_p0">(</span>&quot;$&quot;<span class="textRainbow_lv0_p0">)</span> and
<span id="L49" class="LineNr"> 49 </span>   vertical bar <span class="textRainbow_lv0_p0">(</span>&quot;|&quot;<span class="textRainbow_lv0_p0">)</span> in the starname, and treat them as nonspecial
<span id="L50" class="LineNr"> 50 </span>   characters.  By default, they would be rejected.
<span id="L51" class="LineNr"> 51 </span>CHECK_STAR_IGNORE_EQUAL
<span id="L52" class="LineNr"> 52 </span>   permit the equal convention characters, equal sign <span class="textRainbow_lv0_p0">(</span>&quot;=&quot;<span class="textRainbow_lv0_p0">)</span> and percent
<span id="L53" class="LineNr"> 53 </span>   sign <span class="textRainbow_lv0_p0">(</span>&quot;%&quot;<span class="textRainbow_lv0_p0">)</span> in the starname, and treat them as nonspecial characters.
<span id="L54" class="LineNr"> 54 </span>   By default, they would be rejected.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>CHECK_STAR_IGNORE_LENGTH
<span id="L58" class="LineNr"> 58 </span>   permit an entryname starname or a component name starname to be more
<span id="L59" class="LineNr"> 59 </span>   than 32 characters long.  By default, this is not permitted.  The
<span id="L60" class="LineNr"> 60 </span>   containing dir and entrypoints of path are not checked for length.
<span id="L61" class="LineNr"> 61 </span>CHECK_STAR_IGNORE_NONASCII
<span id="L62" class="LineNr"> 62 </span>   permit nonASCII characters in an entryname starname or a component
<span id="L63" class="LineNr"> 63 </span>   name starname, and treat them as nonspecial characters.  By default,
<span id="L64" class="LineNr"> 64 </span>   they would be rejected.
<span id="L65" class="LineNr"> 65 </span>CHECK_STAR_IGNORE_NULL
<span id="L66" class="LineNr"> 66 </span>   permit null components in the starname.  By default, they would be
<span id="L67" class="LineNr"> 67 </span>   rejected.
<span id="L68" class="LineNr"> 68 </span>CHECK_STAR_IGNORE_PATH
<span id="L69" class="LineNr"> 69 </span>   permit the pathname delimiters, less than <span class="textRainbow_lv0_p0">(</span>&quot;&lt;&quot;<span class="textRainbow_lv0_p0">)</span> and greater than
<span id="L70" class="LineNr"> 70 </span>   <span class="textRainbow_lv0_p0">(</span>&quot;&gt;&quot;<span class="textRainbow_lv0_p0">)</span> in the starname, and treat them as nonspecial characters.  By
<span id="L71" class="LineNr"> 71 </span>   default, they would be rejected.
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>CHECK_STAR_PROCESS_ARCHIVE
<span id="L75" class="LineNr"> 75 </span>   if the archive component pathname delimiter is present, analyze the
<span id="L76" class="LineNr"> 76 </span>   substring preceding it and the substring following it separately.
<span id="L77" class="LineNr"> 77 </span>   If either name is a starname, indicate that the match procedure must
<span id="L78" class="LineNr"> 78 </span>   be used.  A second archive delimiter will be rejected.  If this is
<span id="L79" class="LineNr"> 79 </span>   combined with CHECK_STAR_PROCESS_ENTRYPOINT, an archive delimiter
<span id="L80" class="LineNr"> 80 </span>   following the entrypoint delimiter will be rejected.
<span id="L81" class="LineNr"> 81 </span>CHECK_STAR_PROCESS_ENTRYPOINT
<span id="L82" class="LineNr"> 82 </span>   if one of the entrypoint convention delimiters is present, check the
<span id="L83" class="LineNr"> 83 </span>   substring preceding it and the substring following it separately.
<span id="L84" class="LineNr"> 84 </span>   If either name is a starname, indicate that the match procedure must
<span id="L85" class="LineNr"> 85 </span>   be used.  A second entrypoint delimiter will be rejected.  If it is
<span id="L86" class="LineNr"> 86 </span>   combined with CHECK_STAR_PROCESS_ARCHIVE, an entrypoint delimiter
<span id="L87" class="LineNr"> 87 </span>   preceding the archive delimiter will be rejected.
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>CHECK_STAR_PROCESS_PATH
<span id="L91" class="LineNr"> 91 </span>   if pathname delimiters are present, analyze only the substring
<span id="L92" class="LineNr"> 92 </span>   following the rightmost pathname delimiter.  If this string is of
<span id="L93" class="LineNr"> 93 </span>   zero length, report that PL/I comparison can be used, because the
<span id="L94" class="LineNr"> 94 </span>   expanded pathname will end in the name of a directory, and valid
<span id="L95" class="LineNr"> 95 </span>   directory names can't contain star convention characters.  <span class="textRainbow_lv0_p0">(</span>This is
<span id="L96" class="LineNr"> 96 </span>   intended for names like &quot;&lt;&quot;.  Names like &quot;&gt;udd&gt;&quot; may be rejected by
<span id="L97" class="LineNr"> 97 </span>   expand_pathname_<span class="textRainbow_lv0_o0">,</span> but are acceptable to check_star_name_.<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>CHECK_STAR_REJECT_WILD
<span id="L99" class="LineNr"> 99 </span>   return error_table_$nostars if any star convention characters are
<span id="L100" class="LineNr">100 </span>   present.
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>CHECK_STAR_IGNORE_ALL
<span id="L104" class="LineNr">104 </span>   combines all the CHECK_STAR_IGNORE flags.  This can be used to
<span id="L105" class="LineNr">105 </span>   analyze a starname to determine its type without applying any of the
<span id="L106" class="LineNr">106 </span>   tests intended for validating entrynames.
<span id="L107" class="LineNr">107 </span>CHECK_STAR_ENTRY_DEFAULT
<span id="L108" class="LineNr">108 </span>   combines exactly the same tests used by the obsolete
<span id="L109" class="LineNr">109 </span>   check_star_name_$entry entrypoint, which is equivalent to combining
<span id="L110" class="LineNr">110 </span>   CHECK_STAR_IGNORE_ENTRYPOINT and CHECK_STAR_IGNORE_EQUAL.
<span id="L111" class="LineNr">111 </span>CHECK_STAR_PATH_DEFAULT
<span id="L112" class="LineNr">112 </span>   combines exactly the same tests used by the obsolete
<span id="L113" class="LineNr">113 </span>   check_star_name_$path entrypoint, which is equivalent to combining
<span id="L114" class="LineNr">114 </span>   CHECK_STAR_PROCESS_ARCHIVE, CHECK_STAR_IGNORE_ENTRYPOINT,
<span id="L115" class="LineNr">115 </span>   CHECK_STAR_IGNORE_EQUAL, and CHECK_STAR_PROCESS_PATH.
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>List of starname type codes: these type constants are defined in
<span id="L119" class="LineNr">119 </span>   check_star_name.incl.pl1.
<span id="L120" class="LineNr">120 </span>STAR_TYPE_MATCHES_EVERYTHING <span class="textRainbow_lv0_p0">(</span>2<span class="textRainbow_lv0_p0">)</span>
<span id="L121" class="LineNr">121 </span>   no comparison is necessary, since the starname matches all possible
<span id="L122" class="LineNr">122 </span>   strings.
<span id="L123" class="LineNr">123 </span>STAR_TYPE_USE_MATCH_PROCEDURE <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>
<span id="L124" class="LineNr">124 </span>   the procedure match_star_name_ must be used to compare the string
<span id="L125" class="LineNr">125 </span>   to possible matching strings, because it is a starname containing
<span id="L126" class="LineNr">126 </span>   stars <span class="textRainbow_lv0_p0">(</span>asterisks<span class="textRainbow_lv0_p0">)</span> and question marks.
<span id="L127" class="LineNr">127 </span>STAR_TYPE_USE_PL1_COMPARE <span class="textRainbow_lv0_p0">(</span>0<span class="textRainbow_lv0_p0">)</span>
<span id="L128" class="LineNr">128 </span>   the string is not a starname and can be compared using PL/I
<span id="L129" class="LineNr">129 </span>   comparison rules.
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>
<span id="L132" class="LineNr">132 </span>List of status codes:
<span id="L133" class="LineNr">133 </span>0
<span id="L134" class="LineNr">134 </span>   the string passes all of the selected tests, and the starname type
<span id="L135" class="LineNr">135 </span>   output indicates whether the string is a starname.
<span id="L136" class="LineNr">136 </span>error_table_$archive_pathname
<span id="L137" class="LineNr">137 </span>   the archive component pathname delimiter was found, and the
<span id="L138" class="LineNr">138 </span>   control_mask did not permit it.
<span id="L139" class="LineNr">139 </span>error_table_$bad_arg
<span id="L140" class="LineNr">140 </span>   the control mask specified an unimplented test.
<span id="L141" class="LineNr">141 </span>error_table_$bad_file_name
<span id="L142" class="LineNr">142 </span>   the string violates the rules for forming entrynames and the
<span id="L143" class="LineNr">143 </span>   control_mask did not permit it.
<span id="L144" class="LineNr">144 </span>error_table_$badequal
<span id="L145" class="LineNr">145 </span>   equal convention characters were found and the control_mask did not
<span id="L146" class="LineNr">146 </span>   permit them.
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>error_table_$badpath
<span id="L150" class="LineNr">150 </span>   the directory name contains a nonASCII character and
<span id="L151" class="LineNr">151 </span>   CHECK_STAR_PROCESS_PATH was specified but
<span id="L152" class="LineNr">152 </span>   CHECK_STAR_IGNORE_NONASCII was not.
<span id="L153" class="LineNr">153 </span>error_table_$badstar
<span id="L154" class="LineNr">154 </span>   the string violates the rules for forming starnames.
<span id="L155" class="LineNr">155 </span>error_table_$entlong
<span id="L156" class="LineNr">156 </span>   The string was more than 32 characters long and the control_mask did
<span id="L157" class="LineNr">157 </span>   not permit it.  If CHECK_STAR_PROCESS_PATH was specified, the
<span id="L158" class="LineNr">158 </span>   entryname part of the string was more than 32 characters long.  If
<span id="L159" class="LineNr">159 </span>   CHECK_STAR_PROCESS_ARCHIVE was specified, either the entryname or
<span id="L160" class="LineNr">160 </span>   the component name was more than 32 characters long.
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>error_table_$inconsistent
<span id="L164" class="LineNr">164 </span>   the control_mask was in error, specifying both CHECK_STAR_PROCESS
<span id="L165" class="LineNr">165 </span>   and CHECK_STAR_IGNORE the same test.
<span id="L166" class="LineNr">166 </span>error_table_$invalid_ascii
<span id="L167" class="LineNr">167 </span>   the entryname contains a nonASCII character and
<span id="L168" class="LineNr">168 </span>   CHECK_STAR_IGNORE_NONASCII was not specified.
<span id="L169" class="LineNr">169 </span>error_table_$nostars
<span id="L170" class="LineNr">170 </span>   stars or question marks were found and CHECK_STAR_REJECT_WILD was
<span id="L171" class="LineNr">171 </span>   specified in the control_mask.  Note that star_type will correctly
<span id="L172" class="LineNr">172 </span>   reflect the starname type for this case.
<span id="L173" class="LineNr">173 </span>error_table_$null_name_component
<span id="L174" class="LineNr">174 </span>   the string contains null components and the control_mask did not
<span id="L175" class="LineNr">175 </span>   permit them.
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>
<span id="L178" class="LineNr">178 </span>Notes: see the description of the hcs_$star_ entrypoint in hcs_.info
<span id="L179" class="LineNr">179 </span>to find how to list the directory entries that match a given starname.
<span id="L180" class="LineNr">180 </span>See match_star_name_.info to find how to match a starname with an
<span id="L181" class="LineNr">181 </span>entryname.  See starname.gi.info for the rules governing the formation
<span id="L182" class="LineNr">182 </span>and interpretation of starnames.  See entryname.gi.info for the rules
<span id="L183" class="LineNr">183 </span>governing the formation of entrynames.
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>:Entry: entry:  07/30/86  check_star_name_$entry
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>Function: this entrypoint accepts the entryname to be analyzed as
<span id="L189" class="LineNr">189 </span>input.
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>Syntax:
<span id="L193" class="LineNr">193 </span>declare check_star_name_$entry entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L194" class="LineNr">194 </span>call check_star_name_$entry <span class="textRainbow_lv0_p0">(</span>entryname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>Arguments:
<span id="L198" class="LineNr">198 </span>entryname
<span id="L199" class="LineNr">199 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> is the entryname to be validated.  Trailing spaces in the
<span id="L200" class="LineNr">200 </span>   entryname character string are ignored.
<span id="L201" class="LineNr">201 </span>code
<span id="L202" class="LineNr">202 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> is one of the nonstandard status codes listed below.
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>List of status codes:
<span id="L206" class="LineNr">206 </span>0
<span id="L207" class="LineNr">207 </span>   the entryname is valid and is not a starname <span class="textRainbow_lv0_p0">(</span>does not contain
<span id="L208" class="LineNr">208 </span>   asterisks or question marks<span class="textRainbow_lv0_p0">)</span>.
<span id="L209" class="LineNr">209 </span>1
<span id="L210" class="LineNr">210 </span>   the entryname is valid and is a starname <span class="textRainbow_lv0_p0">(</span>does contain asterisks or
<span id="L211" class="LineNr">211 </span>   question marks<span class="textRainbow_lv0_p0">)</span>.
<span id="L212" class="LineNr">212 </span>2
<span id="L213" class="LineNr">213 </span>   the entryname is valid and is a starname that matches every
<span id="L214" class="LineNr">214 </span>   entryname.
<span id="L215" class="LineNr">215 </span>error_table_$badstar
<span id="L216" class="LineNr">216 </span>   the entryname is invalid.  It violates the rules for forming
<span id="L217" class="LineNr">217 </span>   starnames, or it violates the rules for constructing entrynames.
<span id="L218" class="LineNr">218 </span>
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>Notes: This entrypoint is obsolete.  Use the check_star_name_
<span id="L221" class="LineNr">221 </span>entrypoint for new applications.  The new entrypoint returns a variety
<span id="L222" class="LineNr">222 </span>of different standard error codes explaining a rejection whereas this
<span id="L223" class="LineNr">223 </span>entrypoint can only return a single standard error code value for
<span id="L224" class="LineNr">224 </span>compatability.
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>See the description of the hcs_$star_ entrypoint in hcs_.info to find
<span id="L227" class="LineNr">227 </span>how to list the directory entries that match a given starname.  See
<span id="L228" class="LineNr">228 </span>match_star_name_.info to find how to match a starname with an
<span id="L229" class="LineNr">229 </span>entryname.  See starname.gi.info for the rules governing the formation
<span id="L230" class="LineNr">230 </span>and interpretation of starnames.  See entryname.gi.info for the rules
<span id="L231" class="LineNr">231 </span>governing the formation of entrynames.
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>
<span id="L234" class="LineNr">234 </span>:Entry: path:  07/30/86  check_star_name_$path
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>Function: this entrypoint accepts a pathname as its input and analyzes
<span id="L237" class="LineNr">237 </span>the final entryname in that pathname.
<span id="L238" class="LineNr">238 </span>
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>Syntax:
<span id="L241" class="LineNr">241 </span>declare check_star_name_$path entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L242" class="LineNr">242 </span>call check_star_name_$path <span class="textRainbow_lv0_p0">(</span>path<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L243" class="LineNr">243 </span>
<span id="L244" class="LineNr">244 </span>
<span id="L245" class="LineNr">245 </span>Arguments:
<span id="L246" class="LineNr">246 </span>path
<span id="L247" class="LineNr">247 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> is the pathname whose final entryname is to be validated.
<span id="L248" class="LineNr">248 </span>   Trailing spaces in the pathname character string are ignored.
<span id="L249" class="LineNr">249 </span>code
<span id="L250" class="LineNr">250 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> is one of the nonstandard status codes listed below.
<span id="L251" class="LineNr">251 </span>
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>List of status codes:
<span id="L254" class="LineNr">254 </span>0
<span id="L255" class="LineNr">255 </span>   the entryname is valid and is not a starname <span class="textRainbow_lv0_p0">(</span>does not contain
<span id="L256" class="LineNr">256 </span>   asterisks or question marks<span class="textRainbow_lv0_p0">)</span>.
<span id="L257" class="LineNr">257 </span>1
<span id="L258" class="LineNr">258 </span>   the entryname is valid and is a starname <span class="textRainbow_lv0_p0">(</span>does contain asterisks or
<span id="L259" class="LineNr">259 </span>   question marks<span class="textRainbow_lv0_p0">)</span>.
<span id="L260" class="LineNr">260 </span>2
<span id="L261" class="LineNr">261 </span>   the entryname is valid and is a starname that matches every
<span id="L262" class="LineNr">262 </span>   entryname.
<span id="L263" class="LineNr">263 </span>error_table_$badstar
<span id="L264" class="LineNr">264 </span>   the entryname is invalid.  It violates the rules for forming
<span id="L265" class="LineNr">265 </span>   starnames, or it violates the rules for forming pathnames.
<span id="L266" class="LineNr">266 </span>
<span id="L267" class="LineNr">267 </span>
<span id="L268" class="LineNr">268 </span>Notes: This entrypoint is obsolete.  Use the check_star_name_
<span id="L269" class="LineNr">269 </span>entrypoint for new applications.  The new entrypoint returns a variety
<span id="L270" class="LineNr">270 </span>of different standard error codes explaining a rejection whereas this
<span id="L271" class="LineNr">271 </span>entrypoint can only return a single standard error code value for
<span id="L272" class="LineNr">272 </span>compatibility.
<span id="L273" class="LineNr">273 </span>
<span id="L274" class="LineNr">274 </span>See the description of the hcs_$star_ entrypoint in hcs_.info to find
<span id="L275" class="LineNr">275 </span>how to list the directory entries that match a given starname.  See
<span id="L276" class="LineNr">276 </span>match_star_name_.info to find how to match a starname with an
<span id="L277" class="LineNr">277 </span>entryname.  See starname.gi.info for the rules governing the formation
<span id="L278" class="LineNr">278 </span>and interpretation of starnames.  See pathname.gi.info for the rules
<span id="L279" class="LineNr">279 </span>governing the formation of pathnames.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
